{% extends 'base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load i18n %}
{% block title %}
    {% trans "Restaurant" %}
{% endblock %}

{% block body %}

    <div class="container-fluid mb-3">
        <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">
            <a class="navbar-brand" href="#">اسنپ فود</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarNavDropdown"
                    aria-controls="navbarNavDropdown" aria-expanded="false"
                    aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavDropdown">
                <ul class="navbar-nav">
                    <li class="nav-item dropdown ml-3">
                        <a class="nav-link dropdown-toggle" href="#"
                           id="navbarDropdownMenuLink" role="button"
                           data-toggle="dropdown" aria-haspopup="true"
                           aria-expanded="false">
                            {{ request.user.name }}
                        </a>
                        <div class="dropdown-menu"
                             aria-labelledby="navbarDropdownMenuLink">
                            <a class="dropdown-item" href="#">فعالیت ها</a>
                            <a class="dropdown-item" href="#">آدرس ها</a>
                            <a class="dropdown-item" href="#">تنظیمات</a>
                            <a class="dropdown-item" href="{% url 'account:logout' %}">خروج</a>
                        </div>
                    </li>
                    <li class="nav-item ml-3">
                        <a class="nav-link" href="#">اعتبار <span>{{ request.user.credit }} تومان</span></a>
                    </li>
                    <li class="nav-item ml-3">
                        <a class="nav-link" href="#">راهنما</a>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
    <br>
    <div class="container-fluid mt-5">
        <div class="row">
            <div class="col-12">
                <div class="card mb-5">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-2">
                                <img src="{{ restaurant.image.url }}"
                                     class="img-thumbnail">
                            </div>
                            <div class="col-md-7">
                                <h6><a href="#">{{ restaurant.name }}</a></h6>
                                <span class="yekan">آدرس:</span>
                                <span class="yekan">{{ restaurant.scope }}-{{ restaurant.location }}-{{ restaurant.tag }}</span>
                            </div>
                            <div class="col-md-3 ">
                                <div class="row ml-2 justify-content-center">
                                    <div class="col">
                                       <span class="yekan mt-2">(
                                {{ comments.count }}
                                )
                                نظر</span>
                                        <button type="button"
                                                class="btn btn-outline-success mr-3 yekan">
                                            {{ average_rate|floatformat:1 }}
                                        </button>
                                    </div>

                                    <div><span class="yekan mt-3">زمان تحویل: {{ restaurant.time_to_delivery }}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-md-9">
                <div class="card">
                    <div class="nav nav-pills nav-fill" id="nav-tab"
                         role="tablist">
                        <a class="nav-item nav-link active" id="nav-menu-tab"
                           data-toggle="tab" href="#nav-menu" role="tab"
                           aria-controls="nav-menu"
                           aria-selected="true">منو</a>
                        <a class="nav-item nav-link " id="nav-info-tab"
                           data-toggle="tab" href="#nav-info" role="tab"
                           aria-controls="nav-info"
                           aria-selected="true">اطلاعات</a>

                        <a class="nav-item nav-link" id="nav-comment-tab"
                           data-toggle="tab"
                           href="#nav-comment" role="tab"
                           aria-controls="nav-comment"
                           aria-selected="false">نظرات</a>

                        <a class="nav-item nav-link" id="nav-coupon-tab"
                           data-toggle="tab"
                           href="#nav-coupon" role="tab"
                           aria-controls="nav-coupon"
                           aria-selected="false">کوپن</a>
                    </div>
                    <div class="tab-content" id="nav-tabContent">
                        <div class="tab-pane fade show active" id="nav-menu"
                             role="tabpanel" aria-labelledby="nav-menu-tab">
                            <div class="row">
                                <div class="col-2">
                                    <nav id="navbar-example3"
                                         class="navbar navbar-light bg-light sticky-top">
                                        <nav class="nav flex-column">
                                            <ul class="list-group">
                                                {% for category in restaurant.categories.all %}
                                                    <li class="list-group-item">
                                                        <a class="nav-link yekan"
                                                           href="#item-1">{{ category.title }}</a>
                                                    </li>
                                                {% endfor %}
                                            </ul>
                                        </nav>
                                    </nav>
                                </div>
                                <div class="col-10 mt-2">
                                    <div data-spy="scroll"
                                         data-target="#navbar-example3"
                                         data-offset="0">
                                        <ul>
                                            <li>
                                                <div class="row justify-content-center mt-2">
                                                    {% for category in restaurant.categories.all %}
                                                        {% if category.foods.count > 0 %}
                                                            <h5>{{ category.title }}</h5>
                                                        {% endif %}
                                                        {% for food in category.foods.all %}
                                                            <div class="col-12">
                                                                <ul>
                                                                    <li>
                                                                        <div class="card ml-2 mt-2">
                                                                            <div class="card-body">
                                                                                <div class="row">
                                                                                    <div class="col-md-2 yekan">
                                                                                        {{ food.title }}
                                                                                    </div>
                                                                                    <div class="col-md-2 offset-8 yekan">
                                                                                        {{ food.price }}
                                                                                        &nbsp
                                                                                        &nbsp
                                                                                        <span><a
                                                                                                onclick="addFood({{ restaurant.id }} ,{{ food.id }})">+</a></span>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="row mt-2">
                                                                                    <div class="col-12">
                                                                            <span class="yekan_smaller">
                                                                            {{ food.description }}
                                                                            </span>
                                                                                    </div>

                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </li>
                                                                </ul>
                                                            </div>
                                                        {% endfor %}
                                                    {% endfor %}
                                                </div>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade" id="nav-info" role="tabpanel"
                             aria-labelledby="nav-info-tab">
                            <div class="row justify-content-center">
                                <div class="col-md-12 text-center">
                                    <h5 class="mt-4">نوع سفارش</h5>
                                    <div>
                                        <span>{{ restaurant.orders_type }}</span>
                                    </div>
                                    <hr class="m-4">
                                    <h5>ساعات کاری</h5>
                                    <p>{{ restaurant.working_times }}</p>
                                    <hr class="m-4">
                                    <h5>حداقل سفارش</h5>
                                    <span>{{ restaurant.minimum_order }}</span>
                                    <span>تومان</span>
                                    <hr class="m-4">
                                    <h5>محدوده سرویس دهی</h5>
                                    <span>{{ restaurant.service_scope }}</span>
                                    <hr class="m-4">
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade" id="nav-comment" role="tabpanel"
                             aria-labelledby="nav-comment-tab">
                            <div class="row mt-5">
                                <div class="col-md-12 text-center mt-2">
                                    <button class="btn-success">{{ average_rate|floatformat:1 }}</button>
                                    <span>از مجموع</span>
                                    <span>{{ comments.count }}</span>
                                    <span>رای</span>
                                    <div>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <div class="row mr-5 mt-2 ">
                                <div class="col-3">کیفیت غذا</div>
                                <div class="col-8 ml-5">
                                    <div class="progress">
                                        <div class="progress-bar bg-success"
                                             role="progressbar" style="width: {{ food_quality_average }}%"
                                             aria-valuenow="{{ food_quality_average }}" aria-valuemin="0"
                                             aria-valuemax="100"></div>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <div class="row mr-5">
                                <div class="col-3">کیفیت بسته بندی</div>
                                <div class="col-8 ml-5">
                                    <div class="progress">
                                        <div class="progress-bar bg-success"
                                             role="progressbar" style="width: {{ packaging_quality_average }}%"
                                             aria-valuenow="{{ packaging_quality_average }}" aria-valuemin="0"
                                             aria-valuemax="100"></div>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <div class="row mr-5">
                                <div class="col-3">سرعت ارسال</div>
                                <div class="col-8 ml-5">
                                    <div class="progress">
                                        <div class="progress-bar bg-success"
                                             role="progressbar" style="width: {{ speed_transfer_average }}%"
                                             aria-valuenow="{{ speed_transfer_average }}" aria-valuemin="0"
                                             aria-valuemax="100"></div>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <div class="row mr-5">
                                <div class="col-3">برخورد پیک</div>
                                <div class="col-8 ml-5">
                                    <div class="progress">
                                        <div class="progress-bar bg-success"
                                             role="progressbar" style="width: {{ agent_average }}%"
                                             aria-valuenow="{{ agent_average }}" aria-valuemin="0"
                                             aria-valuemax="100"></div>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <ul>
                                {% for comment in comments %}
                                    <li>
                                        <div class="row justify-content-around">
                                            <div class="col col-md-5">
                                                <h6>{{ comment.user.name }}</h6>
                                            </div>
                                            <div class="col col-md-4 text-left">
                                                <button class="btn-success">{{ comment.average_rate|floatformat:1 }}
                                                </button>
                                            </div>
                                        </div>
                                        <div class="row justify-content-start">
                                            <div class="col col-md-2 mr-5">
                                                <span class="yekan_xmaller">{{ comment.created_time }}</span>
                                            </div>
                                            <div class="col col-md-12 mr-5 mt-2">
                                                <span> {{ comment.description }}</span>
                                            </div>
                                        </div>
                                    </li>
                                {% endfor %}
                            </ul>

                        </div>
                        <div class="tab-pane fade" id="nav-coupon" role="tabpanel"
                             aria-labelledby="nav-coupon-tab">coupon
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="card">
                    <div class="card-header">
                        سبدخرید&nbsp<span
                            class="badge badge-pill badge-danger" id="order_items_count">0</span>
                    </div>
                    <ul class="list-group" id="basket">
                    </ul>
                </div>
                <br>
                <br>
                <br>
                <div class="row justify-content-around">
                    <div class="col-5">
                        <span>مجموع سفارش</span>
                    </div>
                    <div class="col">
                        <hr>
                    </div>
                    <div class="col-4">
                        <span id="total_price">0</span>
                    </div>
                </div>
                <div class="row mt-2">
                    <div class="col-12">
                        <form action="{% url 'order:checkout' %}" method="post">
                            {% csrf_token %}
                            <div class="card">
                                <div class="card-header"> توضیحات</div>
                                <div class="card-body">
                                    <div class="form-group">
                                        {{ form.as_p }}
                                    </div>
                                </div>
                            </div>

                            <input type="submit" class="btn-success btn-block mt-3"
                                   value="بررسی نهایی">
                            <br>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block scripts %}
    <script src="{% static 'js/m_js.js' %}">
    </script>
{% endblock %}

